Skip to main content
POST
/
payrolls
Create a payroll
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/payrolls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_schedule_id": "<id>",
  "source_payroll_id": "<id>",
  "type": "off_cycle",
  "pay_date": "2026-01-08"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/payrolls"

payload = {
    "pay_schedule_id": "<id>",
    "source_payroll_id": "<id>",
    "type": "off_cycle",
    "pay_date": "2026-01-08"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    pay_schedule_id: '<id>',
    source_payroll_id: '<id>',
    type: 'off_cycle',
    pay_date: '2026-01-08'
  })
};

fetch('https://sandbox.nmbr.co/services/payroll/payrolls', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<id>",
  "object": "payroll",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "pay_schedule": {
      "id": "<id>",
      "object": "pay_schedule",
      "links": {
        "self": "/pay_schedules/<id>"
      }
    },
    "type": "off_cycle",
    "period_number": 1,
    "period_label": "1 A",
    "period_start": "2026-01-01",
    "period_end": "2026-01-31",
    "pay_date": "2026-01-08",
    "original_pay_date": null,
    "debit_date": "2026-01-05",
    "approval_due_at": "2026-01-05T21:30:00.000000Z",
    "regular_periods_count": 12,
    "is_impacted_by_weekend_or_holiday": false,
    "is_blocked_by_draft": false,
    "note": null,
    "employee_summary": {
      "gross": null,
      "subtractions": null,
      "reimbursements": null,
      "net": null
    },
    "contractor_summary": {
      "gross": null,
      "reimbursements": null,
      "net": null
    },
    "company_summary": {
      "taxes_and_contributions": null,
      "benefits": null,
      "total": null
    },
    "liability": null,
    "cash_requirement": null,
    "status": "draft",
    "approved_at": null,
    "is_stale": false,
    "stale_since": null,
    "source_payroll": {
      "id": "<id>",
      "object": "payroll",
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    "warnings": {
      "object": "list",
      "data": []
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/payrolls/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_schedule_id
string
required
type
enum<string>
required

The type of payroll. regular payrolls are generated automatically on the Pay Schedule. off_cycle Payrolls are created manually against a source regular payroll. historical and correction payrolls are used to record or correct prior periods.

Available options:
correction,
historical,
off_cycle,
regular
source_payroll_id
string

The ID of the source regular payroll for off_cycle payrolls.

Only allowed when creating a Payroll of type off_cycle. The source payroll must be a regular payroll on the same pay-schedule.

note
string | null

An optional note on the payroll, visible to the partner.

period_start
string<date>

The start date of the pay period.

When creating a payroll of type historical or correction, a period_start date is required. A period_start date is prohibited on a off_cycle payroll.

period_end
string<date>

The end date of the pay period.

When creating a payroll of type historical or correction, a period_end date is required. A period_end date is prohibited on a off_cycle payroll.

custom_pay_frequency
enum<string>

For payrolls on a custom-frequency Pay Schedule, the pay frequency for this specific pay period.

Only allowed when creating a regular payroll on a custom frequency pay schedule where frequency is defined per payroll.

Available options:
bi-weekly,
monthly,
semi-monthly,
weekly
pay_date
string<date>

The date on which Employees and Contractors are paid.

original_pay_date
string<date>

For payrolls on a custom-frequency Pay Schedule, the originally scheduled pay date before any movement for weekends or bank holidays. Used for year-to-date calculations and tax year assignment.

Only allowed when creating a regular payroll on a custom frequency pay schedule.

external_ref
string
Maximum string length: 255

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("payroll").

data
Payroll · object